Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 267913003: net: reject all CloudFlare certificates issued prior to April 2nd. (Closed)

Created:
5 years, 7 months ago by agl
Modified:
5 years, 7 months ago
Reviewers:
wtc, Ryan Sleevi
CC:
cbentzel+watch_chromium.org, Ryan Sleevi, wtc
Visibility:
Public.

Description

net: reject all CloudFlare certificates issued prior to April 2nd. (By request of CloudFlare.) BUG=none Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=268788

Patch Set 1 #

Total comments: 10

Patch Set 2 : ... #

Total comments: 5

Patch Set 3 : ... #

Unified diffs Side-by-side diffs Delta from patch set Stats (+20 lines, -0 lines) Patch
M net/cert/cert_verify_proc.cc View 1 2 2 chunks +20 lines, -0 lines 0 comments Download

Messages

Total messages: 10 (0 generated)
wtc
https://codereview.chromium.org/267913003/diff/1/net/cert/cert_verify_proc.cc File net/cert/cert_verify_proc.cc (right): https://codereview.chromium.org/267913003/diff/1/net/cert/cert_verify_proc.cc#newcode344 net/cert/cert_verify_proc.cc:344: /* CloudFlare revoked all certificates issued prior to April ...
5 years, 7 months ago (2014-05-02 21:21:16 UTC) #1
Ryan Sleevi
https://codereview.chromium.org/267913003/diff/1/net/cert/cert_verify_proc.cc File net/cert/cert_verify_proc.cc (right): https://codereview.chromium.org/267913003/diff/1/net/cert/cert_verify_proc.cc#newcode348 net/cert/cert_verify_proc.cc:348: const std::string kCloudFlareCNSuffix(".cloudflare.com"); static const char[] kCloudFlareCNSuffix = ".cloudflare.com"; ...
5 years, 7 months ago (2014-05-02 22:11:33 UTC) #2
agl
PTAL. https://codereview.chromium.org/267913003/diff/1/net/cert/cert_verify_proc.cc File net/cert/cert_verify_proc.cc (right): https://codereview.chromium.org/267913003/diff/1/net/cert/cert_verify_proc.cc#newcode344 net/cert/cert_verify_proc.cc:344: /* CloudFlare revoked all certificates issued prior to ...
5 years, 7 months ago (2014-05-02 23:17:49 UTC) #3
Ryan Sleevi
LGTM, mod one bug that will likely end up breaking the Win64 bot. https://codereview.chromium.org/267913003/diff/20001/net/cert/cert_verify_proc.cc File ...
5 years, 7 months ago (2014-05-03 00:08:59 UTC) #4
agl
https://codereview.chromium.org/267913003/diff/20001/net/cert/cert_verify_proc.cc File net/cert/cert_verify_proc.cc (right): https://codereview.chromium.org/267913003/diff/20001/net/cert/cert_verify_proc.cc#newcode7 net/cert/cert_verify_proc.cc:7: #include "base/metrics/histogram.h" On 2014/05/03 00:08:59, Ryan Sleevi wrote: > ...
5 years, 7 months ago (2014-05-05 18:50:19 UTC) #5
wtc
Patch set 3 LGTM.
5 years, 7 months ago (2014-05-05 21:30:12 UTC) #6
agl
The CQ bit was checked by agl@chromium.org
5 years, 7 months ago (2014-05-06 20:29:34 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/agl@chromium.org/267913003/40001
5 years, 7 months ago (2014-05-06 20:30:46 UTC) #8
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). Please consider checking whether the failures are ...
5 years, 7 months ago (2014-05-07 11:18:24 UTC) #9
commit-bot: I haz the power
5 years, 7 months ago (2014-05-07 15:44:06 UTC) #10
Message was sent while issue was closed.
Change committed as 268788

Powered by Google App Engine
This is Rietveld 408576698